## slurm-llnl 2.1.0

=== testsuite/expect/mpi-testscripts/Makefile ===
########################################################################
#
# Makefile for NEWS Tests  (96-12-11)
#
########################################################################

CODES = barrier_timed allred allred_timed alltoall alltoall_timed

OPT4 = -qarch=440d

CC = mpxlc
CFLAGS = $(OPT4)


FC = mpxlf
FFLAGS =    ${OPT4}

# ====================

all : ${CODES}

barrier : barrier.o
	echo "Building code barrier...";\
	${CC} -o barrier barrier.o

barrier_timed : barrier_timed.o
	echo "Building code barrier_timed...";\
	${CC} -o barrier_timed barrier_timed.o

allred : allred.o
	echo "Building code allred...";\
	${CC} -o allred allred.o

allred_timed : allred_timed.o
	echo "Building code allred_timed...";\
	${CC} -o allred_timed allred_timed.o

alltoall : alltoall.o
	echo "Building code alltoall...";\
	${CC} -o alltoall alltoall.o

alltoall_timed : alltoall_timed.o
	echo "Building code alltoall_timed...";\
	${CC} -o alltoall_timed alltoall_timed.o

clean :
	rm -f *.o ${CODES}

#**********************#
#     SUFFIX RULES     #
#**********************#

#.SILENT :

.SUFFIXES :
.SUFFIXES : .o .c .f

.c.o :
	echo ${CC} $<
	${CC} -c ${CFLAGS} ${INCL} $<

.f.o :
	echo ${FC} $<
	${FC} -c ${FFLAGS} ${INCL} $<

########################################################################
#       END OF MAKE
########################################################################

## slurm-llnl 2.1.9

=== debian/changelog ===
slurm-llnl (2.1.9-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 12 Jun 2010 05:53:11 +0200

slurm-llnl (2.1.8-1) unstable; urgency=low

  * New upstream release 
  * Removed logrotate filename wildcards to avoid conflicts between the 
    slurm-llnl and the slurm-llnl-slurmdbd packages (Closes: #580010) 
  * Switch to dpkg-source 3.0 (quilt) format

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 21 May 2010 16:39:37 +0200

slurm-llnl (2.1.7-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 16 Apr 2010 22:15:07 +0200

slurm-llnl (2.1.6-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 29 Mar 2010 18:57:03 +0200

slurm-llnl (2.1.5-1) unstable; urgency=low

  * New upstream release
  * Added support for pam (Closes: #573461) 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 25 Mar 2010 16:34:15 +0100

slurm-llnl (2.1.4-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 02 Mar 2010 23:58:44 +0100

slurm-llnl (2.1.2-1) unstable; urgency=low

  * New upstream release 
  * Added munge dependence for slurm-llnl-slurmdbd (Closes: #567013)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 14 Feb 2010 20:21:29 +0100

slurm-llnl (2.1.1-2) unstable; urgency=low

  * slurm-llnl-slurmdbd postinst script doesn't change /var/run/slurm-llnl
    owner anymore (Closes: #566572)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 25 Jan 2010 00:14:06 +0100

slurm-llnl (2.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #565454)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 21 Jan 2010 23:01:37 +0100

slurm-llnl (2.1.0-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 12 Jan 2010 11:32:17 +0100

slurm-llnl (2.0.9-1) unstable; urgency=low

  * New upstream release

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 14 Dec 2009 11:04:53 +0100

slurm-llnl (2.0.7-2) unstable; urgency=low

  * Fixed getline definition to build on AMD (Closes: #552836)
  * Changing dependency from version 8.3 to 8.4 of postgreSQL (Closes: #559605)
  * Fixing various typos

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 05 Dec 2009 23:28:51 +0100

slurm-llnl (2.0.7-1) unstable; urgency=low

  * New upstream release announced together with 2.0.6

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 18 Oct 2009 18:53:06 +0200

slurm-llnl (2.0.5-1) unstable; urgency=low

  * New upstream release 
  * Changed dependecy from lib-mysqlclient15 to lib-mysqlclient 
  * Added Default-Start for runlevel 2 and 4 and $remote_fs requirement in
    init.d scripts (Closes: #541252)
  * Postinst checks for wrong runlevels 2 and 4 links
  * Upgraded to standard version 3.8.3
  * Add lintian overrides for missing slurm-llnl-configurator.html in doc
    base registration
  * modified postrm scripts to ignore pkill return value in order to avoid
    postrm failure when no slurm process is running
  * Checking for slurmctld.pid before cancelling running and pending
    jobs during package removal 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 24 Sep 2009 23:28:15 +0200

slurm-llnl (2.0.4-1) unstable; urgency=low

  * New upstream release
  * Removed gettext bashism in init.d scripts (Closes: #530993, #530994)
  * init.d script modified to check that a daemon is not running before
    a call with the stop argument is completed

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 16 Jul 2009 11:05:21 +0200

slurm-llnl (2.0.2-1) unstable; urgency=low

  * New upstream release 
  * New slurm-llnl-configurator.html
  * init.d script key check modified
  * init.d scripts create run-time variable data directories (/var/run)
  * slurm-llnl.init.d checks if StateSaveLocation SlurmdSpoolDir are
    under /var/run and link them to the actual location under /var/lib
  * postinst script remove StateSaveLocation and SlurmdSpoolDir content if
    upgrading from version 1 to start daemons in a clean state
  * Removed comments from the slurm.conf.simple file
  * Instruction for using openssl cryptography, not used by default anymore,
    moved to README.cryptotype-openssl
  * slurm-llnl.prerm added to cancel running and pending jobs when
    removing the package

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 26 Jun 2009 08:29:16 +0200

slurm-llnl (1.3.15-1) unstable; urgency=high

  * New slurm-llnl-basic-plugins{,-dev} descriptions (Closes: #512059)
  * New libpmi-dev description
  * Compat version upgraded to 7
  * Standard version upgraded to 3.8.1
  * Creating /var/run SLURM directories at boot rather than at
    installation time 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 16 Apr 2009 20:09:37 +0200

slurm-llnl (1.3.13-1) unstable; urgency=low

  * New upstream release (Closes: #511511)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 14 Jan 2009 09:25:10 +0100

slurm-llnl (1.3.12-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 08 Jan 2009 10:41:16 +0100

slurm-llnl (1.3.11-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 03 Dec 2008 11:56:28 +0100

slurm-llnl (1.3.10-1) unstable; urgency=low

  * New upstream release 
  * Modified manual pages: sacctmgr.1

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 05 Nov 2008 11:07:01 +0100

slurm-llnl (1.3.9-1) unstable; urgency=low

  * New upstream release
  * New watch file with generic versioning
  * Modified manual pages: sacctmgr.1, sacct.1, sinfo.1,
    slurm_free_job_info_msg.3 and slurm_slurmd_status.3
  * Deleted empty manual page slurm_trigger.3 and its symbolic links:
    slurm_{clear,free,get,set}_trigger.3

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 15 Oct 2008 14:49:27 +0200

slurm-llnl (1.3.8-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: slurm-llnl
Section: admin
Priority: extra
Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
Uploaders: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-8.4, libpam0g-dev
Standards-Version: 3.8.4
Homepage: https://computing.llnl.gov/linux/slurm/

Package: slurm-llnl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssl, ucf, munge, slurm-llnl-basic-plugins (= ${binary:Version}), adduser, openssl-blacklist, openssl (>= 0.9.8g-9), lsb-base (>= 3.2-12)
Description: Simple Linux Utility for Resource Management
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.

Package: libslurm21
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM runtime library.

Package: libpmi0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM PMI library implementation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI runtime implementation.

Package: libslurm21-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libslurm21 (= ${binary:Version})
Description: SLURM development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains SLURM static library and header files.

Package: libpmi0-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpmi0 (= ${binary:Version}), libslurm21 (= ${binary:Version})
Description: SLURM PMI library implementation development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI implementation static library and header
 files

Package: slurm-llnl-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM docmentation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM html documentation.

Package: slurm-llnl-basic-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM basic plugins
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM basic plugins

Package: slurm-llnl-basic-plugins-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, slurm-llnl-basic-plugins (= ${binary:Version})
Description: SLURM basic plugins development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains development files for the SLURM basic plugins

Package: slurm-llnl-sview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, slurm-llnl (= ${binary:Version})
Description: GUI to view and modify SLURM state
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains sview a GUI that can be used to view SLURM
 configuration, job, step, node and partitions state information.
 Authorized users can also modify select information.

Package: slurm-llnl-slurmdbd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, slurm-llnl-basic-plugins (= ${binary:Version}), adduser, munge
Description: Secure enterprise-wide interface to a database for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contain SlurmDBD (Slurm DataBase Daemon) that can be
 used to securely manage the accounting data for several Slurm
 clusters in a central location and sacctmgr a command for managing
 user accounts in SlurmDBD.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc/slurm-llnl --with-munge --localstatedir=/var/run/slurm-llnl --without-blcr --libexecdir=/usr/share --enable-pam



#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  config.status

	# Add here commands to compile the arch part of the package.
	#$(MAKE) 
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:  config.status

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	  cp -f /usr/share/misc/config.sub config.sub
  endif
  ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	  cp -f /usr/share/misc/config.guess config.guess
  endif


	  dh_clean 

  install: install-indep install-arch
  install-indep:
	  dh_testdir
	  dh_testroot
	  dh_prep -i 
	  dh_installdirs -i
	  $(MAKE) -C doc/html install DESTDIR=$(CURDIR)/debian/slurm-llnl-doc
	  dh_install -pslurm-llnl-doc debian/slurm-llnl-doc/usr/share/doc/slurm-[0-9]*/html usr/share/doc/slurm-llnl-doc
	  #Install documenation packages file
	  rm -rf debian/slurm-llnl-doc/usr/share/doc/slurm-[0-9]*

	  dh_install -i

  install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/slurm-llnl
	rm -fr debian/slurm-llnl/usr/lib/slurm/src
	rm -f  debian/slurm-llnl/usr/sbin/slurm_epilog
	rm -f  debian/slurm-llnl/usr/sbin/slurm_prolog
	rmdir  debian/slurm-llnl/usr/share/slurm
	dh_install debian/slurm-llnl-configurator.html usr/share/doc/slurm-llnl
	rm -rf debian/slurm-llnl/usr/share/doc/slurm-[0-9]*

	# pmi packages
	dh_install -plibpmi0 debian/slurm-llnl/usr/lib/libpmi.so.* usr/lib
	dh_install -plibpmi0-dev debian/slurm-llnl/usr/lib/libpmi.a usr/lib
	dh_install -plibpmi0-dev debian/slurm-llnl/usr/lib/libpmi.la usr/lib
	dh_install -plibpmi0-dev debian/slurm-llnl/usr/lib/libpmi*.so usr/lib
	dh_install -plibpmi0-dev debian/slurm-llnl/usr/include/slurm/pmi.h usr/include/slurm
	rm -f debian/slurm-llnl/usr/include/slurm/pmi.h
	rm -f debian/slurm-llnl/usr/lib/libpmi*

	# libslurm packages
	dh_install -plibslurm21-dev debian/slurm-llnl/usr/include/slurm/* usr/include/slurm
	dh_install -plibslurm21-dev debian/slurm-llnl/usr/lib/*.a usr/lib
	dh_install -plibslurm21-dev debian/slurm-llnl/usr/lib/lib*.la usr/lib
	dh_install -plibslurm21-dev debian/slurm-llnl/usr/lib/lib*.so usr/lib
	dh_installman -plibslurm21-dev debian/slurm-llnl/usr/share/man/man3/*
	dh_install -plibslurm21 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
	rm -rf debian/slurm-llnl/usr/include
	rm -f debian/slurm-llnl/usr/lib/*.a
	rm -f debian/slurm-llnl/usr/lib/lib*.la
	rm -f debian/slurm-llnl/usr/lib/lib*.so
	rm -rf debian/slurm-llnl/usr/share/man/man3
	rm -f debian/slurm-llnl/usr/lib/libslurm.so.*

	#plugins packages
	dh_install -pslurm-llnl-basic-plugins debian/slurm-llnl/usr/lib/slurm/*.so usr/lib/slurm
	dh_install -pslurm-llnl-basic-plugins-dev debian/slurm-llnl/usr/lib/slurm/*.la usr/lib/slurm
	dh_install -pslurm-llnl-basic-plugins-dev debian/slurm-llnl/usr/lib/slurm/*.a usr/lib/slurm
	rm -rf debian/slurm-llnl/usr/lib/slurm
	rm -rf debian/slurm-llnl/usr/share/doc/slurm-llnl-doc
	rm -f debian/slurm-llnl/usr/share/man/man5/bluegene.conf.5
	mv -f debian/slurm-llnl/usr/share/man/man1/slurm.1 \
		debian/slurm-llnl/usr/share/man/man1/slurm-llnl.1
	rm -f debian/slurm-llnl/usr/sbin/sfree

	#sview package
	dh_install -pslurm-llnl-sview debian/slurm-llnl/usr/bin/sview usr/bin
	dh_installman -pslurm-llnl-sview debian/slurm-llnl/usr/share/man/man1/sview.1
	rm -f debian/slurm-llnl/usr/bin/sview
	rm -f debian/slurm-llnl/usr/share/man/man1/sview.1

	#slurmdbd package
	dh_install -pslurm-llnl-slurmdbd debian/slurm-llnl/usr/sbin/slurmdbd usr/sbin
	dh_install -pslurm-llnl-slurmdbd debian/slurm-llnl/usr/bin/sacctmgr usr/bin
	dh_install -pslurm-llnl-slurmdbd debian/slurm-llnl/usr/share/man/man8/slurmdbd.8 usr/share/man/man8
	dh_install -pslurm-llnl-slurmdbd debian/slurm-llnl/usr/share/man/man5/slurmdbd.conf.5 usr/share/man/man5
	dh_install -pslurm-llnl-slurmdbd debian/slurm-llnl/usr/share/man/man1/sacctmgr.1 usr/share/man/man1

	rm -f debian/slurm-llnl/usr/sbin/slurmdbd
	rm -f debian/slurm-llnl/usr/bin/sacctmgr
	rm -f debian/slurm-llnl/usr/share/man/man8/slurmdbd.8
	rm -f debian/slurm-llnl/usr/share/man/man5/slurmdbd.conf.5
	rm -f debian/slurm-llnl/usr/share/man/man1/sacctmgr.1

	rmdir debian/slurm-llnl/usr/lib
	dh_install -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	install -m644 debian/slurm-llnl.lintian debian/slurm-llnl/usr/share/lintian/overrides/slurm-llnl
#	dh_installexamples debian/slurm-resume.sh
#	dh_installexamples debian/slurm-suspend.sh
#	dh_installexamples debian/slurm.conf.simple
#	dh_installexamples -pslurm-llnl-slurmdbd debian/slurmdbd.conf.simple
	dh_installinit
	dh_installlogrotate
	dh_installdebconf
	dh_installman
	dh_compress -X.pdf -X.example
	dh_strip
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

## slurm-llnl 2.1.11

=== debian/changelog ===
slurm-llnl (2.1.11-1squeeze3) testing; urgency=high

  * Making slurm-llnl{,-slurmdbd} postrm scripts independent by ucf

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 05 Dec 2010 16:42:38 +0100

slurm-llnl (2.1.11-1squeeze2) testing; urgency=high

  * Make slurm-llnl-slurmdbd package depend on ucf

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 22 Nov 2010 17:18:16 +0100

slurm-llnl (2.1.11-1squeeze1) testing; urgency=high

  * Properly set LD_LIBRARY_PATH in slurm and slurmdbd init scripts
    FIX CVE-2010-3380

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 06 Nov 2010 20:11:06 +0100

slurm-llnl (2.1.11-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 04 Aug 2010 16:10:05 +0200

slurm-llnl (2.1.10-1) unstable; urgency=low

  * New upstream release
  * Setting /usr/bin/mail as default mailer (Closes: #588862) 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 17 Jul 2010 10:02:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
 Uploaders: Dirk Eddelbuettel <edd@debian.org>
 Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-8.4, libpam0g-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: https://computing.llnl.gov/linux/slurm/
 
 Package: slurm-llnl
@@ -91,7 +91,7 @@
 
 Package: slurm-llnl-slurmdbd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, slurm-llnl-basic-plugins (= ${binary:Version}), adduser, munge
+Depends: ${shlibs:Depends}, ${misc:Depends}, slurm-llnl-basic-plugins (= ${binary:Version}), adduser, munge, ucf
 Description: Secure enterprise-wide interface to a database for SLURM
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.

## slurm-llnl 2.1.15

=== debian/changelog ===
slurm-llnl (2.1.15-3) unstable; urgency=low

  * Make slurm-llnl-slurmdbd package depend on ucf (Closes: #604207) 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 21 Nov 2010 21:12:24 +0100

slurm-llnl (2.1.15-2) unstable; urgency=low

  * Properly set LD_LIBRARY_PATH in slurm and slurmdbd init scripts
    FIX CVE-2010-3380 (Closes: #602340)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 04 Nov 2010 12:36:33 +0100

slurm-llnl (2.1.15-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 16 Oct 2010 22:52:17 +0200

slurm-llnl (2.1.14-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 03 Sep 2010 18:03:29 +0200

## slurm-llnl 2.1.16

=== debian/changelog ===
slurm-llnl (2.1.16-2) unstable; urgency=low

  * Making slurm-llnl{,-slurmdbd} postrm scripts independent by ucf
    (Closes: #604207)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 05 Dec 2010 16:04:09 +0100

slurm-llnl (2.1.16-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 01 Dec 2010 17:25:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
 Uploaders: Dirk Eddelbuettel <edd@debian.org>
 Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-8.4, libpam0g-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: https://computing.llnl.gov/linux/slurm/
 
 Package: slurm-llnl

## slurm-llnl 2.2.4

=== debian/changelog ===
slurm-llnl (2.2.4-1) unstable; urgency=low

  * New upstream releases 
  * Cleaning spare file and directories, not belonging to the sources
    generated by the building process and not removed by distclean.
    Added debian/clean with spare files and rm -rf inside debian/rules
    for directories.
  * Added new packages libslurm-perl, libslurmdb-perl, slurm-llnl-torque
    (Closes: #575822) thanks to Julien Blache

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 08 Apr 2011 11:21:17 +0200

slurm-llnl (2.2.3-1) unstable; urgency=low

  * New upstream release
  * Patches renamed to represent their purposes 
  * libslurm22.symbol updated

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 03 Mar 2011 10:20:43 +0100

slurm-llnl (2.2.1-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 28 Jan 2011 11:13:19 +0100

slurm-llnl (2.2.0-1) unstable; urgency=low

  * New upstream major release 
  * libsurm22{,-dev} replace libsurm21{,-dev}
  * New libsurmdb22{,-dev} package

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 12 Jan 2011 13:25:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
 Uploaders: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-8.4, libpam0g-dev
+Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-8.4, libpam0g-dev, libperl-dev, chrpath
 Standards-Version: 3.9.1
 Homepage: https://computing.llnl.gov/linux/slurm/
 
@@ -16,7 +16,16 @@
  that strives to be simple, scalable, portable, fault-tolerant, and
  interconnect agnostic.
 
-Package: libslurm21
+Package: libslurmdb22
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Runtime library files for the SLURM DataBase Daemon
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ This package contains the SLURM DataBase Daemon runtime library.
+
+Package: libslurm22
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -34,19 +43,30 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM PMI runtime implementation.
 
-Package: libslurm21-dev
+Package: libslurm-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libslurm21 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libslurm22 (= ${binary:Version})
+Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
+Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Description: SLURM development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
  This package contains SLURM static library and header files.
 
+Package: libslurmdb-dev
+Section: libdevel
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libslurmdb22 (= ${binary:Version})
+Description: SLURM DataBase Daemon development files
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ This package contains SLURM DataBase Daemon static library and header files.
+
 Package: libpmi0-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpmi0 (= ${binary:Version}), libslurm21 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpmi0 (= ${binary:Version}), libslurm22 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -99,3 +119,34 @@
  used to securely manage the accounting data for several Slurm
  clusters in a central location and sacctmgr a command for managing
  user accounts in SlurmDBD.
+
+Package: libslurm-perl
+Section: perl
+Architecture: any
+Depends: ${perl:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Perl API for SLURM
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ .
+ This package contains the Perl module.
+
+Package: libslurmdb-perl
+Section: perl
+Architecture: any
+Depends: ${perl:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Perl API for the SLURM database
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ .
+ This package contains the Perl module for the SLURM database.
+
+Package: slurm-llnl-torque
+Architecture: all
+Depends: libslurm-perl (>= ${source:Version}), libslurmdb-perl (>= ${source:Version}), ${perl:Depends}, ${misc:Depends}, slurm-llnl (>= ${source:Version})
+Conflicts: gridengine-client, torque-client, torque-client-x11
+Description: Torque compatibility wrappers for SLURM
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ .
+ This package contains the Torque compatibility wrappers.
+

=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,11 @@
 	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#
 
 	# Add here commands to clean up after the build process.
+	[ ! -f contribs/perlapi/Makefile ] || $(MAKE) -C contribs/perlapi distclean
+	[ ! -f contribs/torque/Makefile ] || $(MAKE) -C contribs/torque distclean
 	[ ! -f Makefile ] || $(MAKE) distclean
+
+
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	  cp -f /usr/share/misc/config.sub config.sub
   endif
@@ -69,20 +73,30 @@
   endif
 
 
-	  dh_clean 
+	  rm -rf .pc contribs/pam/.deps \
+		src/plugins/accounting_storage/common/.deps \
+		src/plugins/accounting_storage/common/.libs
+	  dh_clean
 
   install: install-indep install-arch
   install-indep:
-	  dh_testdir
-	  dh_testroot
-	  dh_prep -i 
-	  dh_installdirs -i
-	  $(MAKE) -C doc/html install DESTDIR=$(CURDIR)/debian/slurm-llnl-doc
-	  dh_install -pslurm-llnl-doc debian/slurm-llnl-doc/usr/share/doc/slurm-[0-9]*/html usr/share/doc/slurm-llnl-doc
-	  #Install documenation packages file
-	  rm -rf debian/slurm-llnl-doc/usr/share/doc/slurm-[0-9]*
-
-	  dh_install -i
+	dh_testdir
+	dh_testroot
+	dh_prep -i 
+	dh_installdirs -i
+	$(MAKE) -C doc/html install DESTDIR=$(CURDIR)/debian/slurm-llnl-doc
+	dh_install -pslurm-llnl-doc debian/slurm-llnl-doc/usr/share/doc/slurm-[0-9]*/html usr/share/doc/slurm-llnl-doc
+	#Install documenation packages file
+	rm -rf debian/slurm-llnl-doc/usr/share/doc/slurm-[0-9]*
+
+	$(MAKE) -C contribs/torque install DESTDIR=$(CURDIR)/debian/slurm-llnl-torque
+	rm -f debian/slurm-llnl-torque/usr/bin/mpiexec
+
+	for i in debian/slurm-llnl-torque/usr/bin/*; do \
+		pod2man $$i > debian/slurm-llnl-torque/usr/share/man/man1/$$(basename $$i).1; \
+	done
+
+	dh_install -i
 
   install-arch:
 	dh_testdir
@@ -109,13 +123,25 @@
 	rm -f debian/slurm-llnl/usr/include/slurm/pmi.h
 	rm -f debian/slurm-llnl/usr/lib/libpmi*
 
+	# libslurmdb packages
+	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/include/slurm/slurmdb.h usr/include/slurm
+	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.a usr/lib
+	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.la usr/lib
+	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.so usr/lib
+	dh_install -plibslurmdb22 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
+	rm -f debian/slurm-llnl/usr/include/slurm/slurmdb.h
+	rm -f debian/slurm-llnl/usr/lib/libslurmdb.a
+	rm -f debian/slurm-llnl/usr/lib/libslurmdb.la
+	rm -f debian/slurm-llnl/usr/lib/libslurmdb.so
+	rm -f debian/slurm-llnl/usr/lib/libslurmdb.so.*
+
 	# libslurm packages
-	dh_install -plibslurm21-dev debian/slurm-llnl/usr/include/slurm/* usr/include/slurm
-	dh_install -plibslurm21-dev debian/slurm-llnl/usr/lib/*.a usr/lib
-	dh_install -plibslurm21-dev debian/slurm-llnl/usr/lib/lib*.la usr/lib
-	dh_install -plibslurm21-dev debian/slurm-llnl/usr/lib/lib*.so usr/lib
-	dh_installman -plibslurm21-dev debian/slurm-llnl/usr/share/man/man3/*
-	dh_install -plibslurm21 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
+	dh_install -plibslurm-dev debian/slurm-llnl/usr/include/slurm/* usr/include/slurm
+	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/*.a usr/lib
+	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.la usr/lib
+	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.so usr/lib
+	dh_installman -plibslurm-dev debian/slurm-llnl/usr/share/man/man3/*
+	dh_install -plibslurm22 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
 	rm -rf debian/slurm-llnl/usr/include
 	rm -f debian/slurm-llnl/usr/lib/*.a
 	rm -f debian/slurm-llnl/usr/lib/lib*.la
@@ -154,6 +180,16 @@
 	rm -f debian/slurm-llnl/usr/share/man/man1/sacctmgr.1
 
 	rmdir debian/slurm-llnl/usr/lib
+
+	# Perl
+	$(MAKE) -C contribs/perlapi install DESTDIR=$(CURDIR)/debian/libslurm-perl PERL_MM_OPT="INSTALLDIRS=vendor"
+
+	find debian/libslurm-perl -type f -name "*.so" | xargs chrpath -d
+
+	mv debian/libslurm-perl/usr/lib/perl5/Slurmdb.pm debian/libslurmdb-perl/usr/lib/perl5/
+	mv debian/libslurm-perl/usr/lib/perl5/auto/Slurmdb debian/libslurmdb-perl/usr/lib/perl5/auto
+	mv debian/libslurm-perl/usr/share/man/man3/Slurmdb.3pm debian/libslurmdb-perl/usr/share/man/man3
+
 	dh_install -s
 # Must not depend on anything. This is to be called by
 # binary-arch/binary-indep
@@ -166,29 +202,3 @@
 	dh_installexamples
 	install -m644 debian/slurm-llnl.lintian debian/slurm-llnl/usr/share/lintian/overrides/slurm-llnl
 #	dh_installexamples debian/slurm-resume.sh
-#	dh_installexamples debian/slurm-suspend.sh
-#	dh_installexamples debian/slurm.conf.simple
-#	dh_installexamples -pslurm-llnl-slurmdbd debian/slurmdbd.conf.simple
-	dh_installinit
-	dh_installlogrotate
-	dh_installdebconf
-	dh_installman
-	dh_compress -X.pdf -X.example
-	dh_strip
-	dh_fixperms
-	dh_makeshlibs
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-# Build architecture independant packages using the common target.
-binary-indep: build-indep install-indep
-	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
-
-# Build architecture dependant packages using the common target.
-binary-arch: build-arch install-arch
-	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common
-
-binary: binary-arch binary-indep
-.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== debian/watch ===
version=3
http://sf.net/slurm/slurm-(\d{1,2}.\d{1,2}.\d{1,2})\.tar\.bz2

## slurm-llnl 2.2.5

=== debian/changelog ===
slurm-llnl (2.2.5-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 06 May 2011 10:48:55 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
 Uploaders: Dirk Eddelbuettel <edd@debian.org>
 Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-8.4, libpam0g-dev, libperl-dev, chrpath
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: https://computing.llnl.gov/linux/slurm/
 
 Package: slurm-llnl

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,12 @@
 
 config.status: configure
 	dh_testdir
+ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+	cp -f /usr/share/misc/config.sub config.sub
+endif
+ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+	cp -f /usr/share/misc/config.guess config.guess
+endif
 	# Add here commands to configure the package.
 	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc/slurm-llnl --with-munge --localstatedir=/var/run/slurm-llnl --without-blcr --libexecdir=/usr/share --enable-pam
 
@@ -64,18 +70,11 @@
 	[ ! -f contribs/torque/Makefile ] || $(MAKE) -C contribs/torque distclean
 	[ ! -f Makefile ] || $(MAKE) distclean
 
-
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	  cp -f /usr/share/misc/config.sub config.sub
-  endif
-  ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	  cp -f /usr/share/misc/config.guess config.guess
-  endif
-
-
 	  rm -rf .pc contribs/pam/.deps \
 		src/plugins/accounting_storage/common/.deps \
 		src/plugins/accounting_storage/common/.libs
+	  rm -f config.sub
+	  rm -f config.guess
 	  dh_clean
 
   install: install-indep install-arch
@@ -201,4 +200,3 @@
 	dh_installdocs
 	dh_installexamples
 	install -m644 debian/slurm-llnl.lintian debian/slurm-llnl/usr/share/lintian/overrides/slurm-llnl
-#	dh_installexamples debian/slurm-resume.sh

## slurm-llnl 2.2.6

=== debian/changelog ===
slurm-llnl (2.2.6-1) unstable; urgency=low

  * New upstream release

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 10 Jun 2011 13:10:13 +0200

## slurm-llnl 2.2.7

=== debian/changelog ===
slurm-llnl (2.2.7-2build2) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Thu, 24 Nov 2011 00:24:56 -0800

slurm-llnl (2.2.7-2build1) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Nov 2011 14:03:45 +0000

slurm-llnl (2.2.7-2) unstable; urgency=low

  * Rebuild package against postgresql-server-dev-9.1 (Closes: #639480)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 27 Aug 2011 19:19:03 +0200

slurm-llnl (2.2.7-1) unstable; urgency=low

  * New upstream release
  * Empty dependency_libs entries in .la files (Closes: #633286) 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 11 Jul 2011 16:01:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
 Uploaders: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-8.4, libpam0g-dev, libperl-dev, chrpath
+Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-9.1, libpam0g-dev, libperl-dev, chrpath
 Standards-Version: 3.9.2
 Homepage: https://computing.llnl.gov/linux/slurm/

=== debian/rules ===
--- 
+++ 
@@ -106,6 +106,7 @@
 	# Add here commands to install the arch part of the package into 
 	# debian/tmp.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/slurm-llnl
+	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
 	rm -fr debian/slurm-llnl/usr/lib/slurm/src
 	rm -f  debian/slurm-llnl/usr/sbin/slurm_epilog
 	rm -f  debian/slurm-llnl/usr/sbin/slurm_prolog
@@ -199,4 +200,3 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
-	install -m644 debian/slurm-llnl.lintian debian/slurm-llnl/usr/share/lintian/overrides/slurm-llnl

## slurm-llnl 2.3.2

=== debian/changelog ===
slurm-llnl (2.3.2-1ubuntu1) precise; urgency=low

  * debian/control: Build package against postgresql-server-dev-9.1 again.
    This was already done in 2.2.7-2, but that version disappeared from the
    history. (Debian #639480)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Feb 2012 10:20:31 +0100

slurm-llnl (2.3.2-1) unstable; urgency=low

  * New upstream release
  * slurm-llnl-configurator.html updated
  * libpam-slurm packages merged to slurm-llnl source
  * libpam-slurm package new versioning following slurm-llnl

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 27 Dec 2011 19:27:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: slurm-llnl
 Section: admin
 Priority: extra
-Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
-Uploaders: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-9.1, libpam0g-dev, libperl-dev, chrpath
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
+Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-9.1, libpam0g-dev, libperl-dev, chrpath, libpam0g-dev
 Standards-Version: 3.9.2
 Homepage: https://computing.llnl.gov/linux/slurm/
 
@@ -16,7 +16,7 @@
  that strives to be simple, scalable, portable, fault-tolerant, and
  interconnect agnostic.
 
-Package: libslurmdb22
+Package: libslurmdb23
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -25,7 +25,7 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM DataBase Daemon runtime library.
 
-Package: libslurm22
+Package: libslurm23
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -46,7 +46,7 @@
 Package: libslurm-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libslurm22 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libslurm23 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Description: SLURM development files
@@ -57,7 +57,7 @@
 Package: libslurmdb-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libslurmdb22 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libslurmdb23 (= ${binary:Version})
 Description: SLURM DataBase Daemon development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -66,7 +66,7 @@
 Package: libpmi0-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpmi0 (= ${binary:Version}), libslurm22 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpmi0 (= ${binary:Version}), libslurm23 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -150,3 +150,12 @@
  .
  This package contains the Torque compatibility wrappers.
 
+Package: libpam-slurm
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: PAM module to authenticate using the SLURM resource manager
+ Pluggable Authentication Module (PAM) for restricting access to compute
+ nodes where SLURM performs resource management. Access to the node is
+ restricted to user root and users who have been allocated resources on
+ that node.
+

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	cp -f /usr/share/misc/config.guess config.guess
 endif
 	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc/slurm-llnl --with-munge --localstatedir=/var/run/slurm-llnl --without-blcr --libexecdir=/usr/share --enable-pam
+	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc/slurm-llnl --with-munge --localstatedir=/var/run/slurm-llnl --without-blcr --libexecdir=/usr/share --enable-pam --without-rpath
 
 
 
@@ -68,6 +68,7 @@
 	# Add here commands to clean up after the build process.
 	[ ! -f contribs/perlapi/Makefile ] || $(MAKE) -C contribs/perlapi distclean
 	[ ! -f contribs/torque/Makefile ] || $(MAKE) -C contribs/torque distclean
+	[ ! -f contribs/pam/Makefile ] || $(MAKE) -C contribs/pam distclean
 	[ ! -f Makefile ] || $(MAKE) distclean
 
 	  rm -rf .pc contribs/pam/.deps \
@@ -106,12 +107,14 @@
 	# Add here commands to install the arch part of the package into 
 	# debian/tmp.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/slurm-llnl
+	sed -i "s/\-shared/-shared -lc/" contribs/pam/Makefile
+	$(MAKE) -C contribs/pam install DESTDIR=$(CURDIR)/debian/slurm-llnl
 	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
 	rm -fr debian/slurm-llnl/usr/lib/slurm/src
 	rm -f  debian/slurm-llnl/usr/sbin/slurm_epilog
 	rm -f  debian/slurm-llnl/usr/sbin/slurm_prolog
 	rmdir  debian/slurm-llnl/usr/share/slurm
-	dh_install debian/slurm-llnl-configurator.html usr/share/doc/slurm-llnl
+	dh_install -pslurm-llnl debian/slurm-llnl-configurator.html usr/share/doc/slurm-llnl
 	rm -rf debian/slurm-llnl/usr/share/doc/slurm-[0-9]*
 
 	# pmi packages
@@ -128,7 +131,7 @@
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.a usr/lib
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.la usr/lib
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.so usr/lib
-	dh_install -plibslurmdb22 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
+	dh_install -plibslurmdb23 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
 	rm -f debian/slurm-llnl/usr/include/slurm/slurmdb.h
 	rm -f debian/slurm-llnl/usr/lib/libslurmdb.a
 	rm -f debian/slurm-llnl/usr/lib/libslurmdb.la
@@ -141,7 +144,10 @@
 	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.la usr/lib
 	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.so usr/lib
 	dh_installman -plibslurm-dev debian/slurm-llnl/usr/share/man/man3/*
-	dh_install -plibslurm22 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
+	dh_install -plibslurm23 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
+	#LIBSLURM = `ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1`
+	#ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1
+	#echo LIBSLURM is $(LIBSLURM)
 	rm -rf debian/slurm-llnl/usr/include
 	rm -f debian/slurm-llnl/usr/lib/*.a
 	rm -f debian/slurm-llnl/usr/lib/lib*.la
@@ -172,7 +178,6 @@
 	dh_install -pslurm-llnl-slurmdbd debian/slurm-llnl/usr/share/man/man8/slurmdbd.8 usr/share/man/man8
 	dh_install -pslurm-llnl-slurmdbd debian/slurm-llnl/usr/share/man/man5/slurmdbd.conf.5 usr/share/man/man5
 	dh_install -pslurm-llnl-slurmdbd debian/slurm-llnl/usr/share/man/man1/sacctmgr.1 usr/share/man/man1
-
 	rm -f debian/slurm-llnl/usr/sbin/slurmdbd
 	rm -f debian/slurm-llnl/usr/bin/sacctmgr
 	rm -f debian/slurm-llnl/usr/share/man/man8/slurmdbd.8
@@ -181,22 +186,13 @@
 
 	rmdir debian/slurm-llnl/usr/lib
 
+	#libpam-slurm package
+	dh_install -plibpam-slurm debian/slurm-llnl/lib/security/pam_slurm.so lib/security
+	rm -rf debian/slurm-llnl/lib
+
+
 	# Perl
 	$(MAKE) -C contribs/perlapi install DESTDIR=$(CURDIR)/debian/libslurm-perl PERL_MM_OPT="INSTALLDIRS=vendor"
 
 	find debian/libslurm-perl -type f -name "*.so" | xargs chrpath -d
 
-	mv debian/libslurm-perl/usr/lib/perl5/Slurmdb.pm debian/libslurmdb-perl/usr/lib/perl5/
-	mv debian/libslurm-perl/usr/lib/perl5/auto/Slurmdb debian/libslurmdb-perl/usr/lib/perl5/auto
-	mv debian/libslurm-perl/usr/share/man/man3/Slurmdb.3pm debian/libslurmdb-perl/usr/share/man/man3
-
-	dh_install -s
-# Must not depend on anything. This is to be called by
-# binary-arch/binary-indep
-# in another 'make' thread.
-binary-common:
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs
-	dh_installdocs
-	dh_installexamples
